Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb
Class GlobalTxEntityMap

    java.lang.Object
      org.jboss.ejb.GlobalTxEntityMap

public class GlobalTxEntityMap
extends Object

This class provides a way to find out what entities are contained in what transaction. It is used, to find which entities to call ejbStore() on when a ejbFind() method is called within a transaction. EJB 2.0- 9.6.4 also, it is used to synchronize on a remove. Used in EntitySynchronizationInterceptor, EntityContainer Entities are stored in an ArrayList to ensure specific ordering.

Version:
  $Revision: 1.14 $
Author:
  Bill Burke, Alexey Loubyansky

Nested Class Summary
`static interface` | `GlobalTxEntityMap.TxAssociation` An instance can be in one of the three states: not associated with the tx and, hence, does not need to be synchronized associated with the tx and needs to be synchronized associated with the tx but does not need to be synchronized Implementations of TxAssociation implement these states.

Field Summary
`static GlobalTxEntityMap.TxAssociation` | `NONE`
`static GlobalTxEntityMap.TxAssociation` | `SYNC_SCHEDULED`
`static GlobalTxEntityMap.TxAssociation` | `SYNCHRONIZED`

Constructor Summary
`GlobalTxEntityMap()`

Method Summary
`void` | `synchronizeEntities(Transaction tx)` sync all EntityEnterpriseContext that are involved (and changed) within a transaction.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NONE

    public static final GlobalTxEntityMap.TxAssociation NONE

### SYNC_SCHEDULED

    public static final GlobalTxEntityMap.TxAssociation SYNC_SCHEDULED

### SYNCHRONIZED

    public static final GlobalTxEntityMap.TxAssociation SYNCHRONIZED

Constructor Detail

### GlobalTxEntityMap

    public GlobalTxEntityMap()

Method Detail

### synchronizeEntities

    public void synchronizeEntities(Transaction tx)

  sync all EntityEnterpriseContext that are involved (and changed) within a transaction.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.